Bug 1737651 (CVE-2019-11249) - CVE-2019-11249 kubernetes: Incomplete fixes for CVE-2019-1002101 and CVE-2019-11246, kubectl cp potential directory traversal
Summary: CVE-2019-11249 kubernetes: Incomplete fixes for CVE-2019-1002101 and CVE-2019...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-11249
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1737652 1737653 1737654 1737655 1737656 1737657
Blocks: 1732194
TreeView+ depends on / blocked
 
Reported: 2019-08-05 23:59 UTC by Sam Fowler
Modified: 2020-03-24 01:54 UTC (History)
31 users (show)

Fixed In Version: kubernetes 1.13.9, kubernetes 1.14.5, kubernetes 1.15.2, kubernetes 1.16.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-29 18:51:15 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:3820 None None None 2019-11-11 09:57:40 UTC
Red Hat Product Errata RHSA-2019:3239 None None None 2019-10-29 16:21:21 UTC
Red Hat Product Errata RHSA-2019:3811 None None None 2019-11-07 16:54:23 UTC

Description Sam Fowler 2019-08-05 23:59:58 UTC
A third issue was discovered with the Kubernetes `kubectl cp` command that could enable a directory traversal such that a malicious container could replace or create files on a user’s workstation. The vulnerability is a client-side defect and requires user interaction to be exploited.

This vulnerability allows a malicious container to cause a file to be created or replaced on the client computer when the client uses the `kubectl cp` operation. The vulnerability is a client-side defect and requires user interaction to be exploited.


Upstream Issue:

https://github.com/kubernetes/kubernetes/issues/80984


External References:

https://groups.google.com/forum/#!topic/kubernetes-security-discuss/Vf31dXp0EJc

Comment 1 Sam Fowler 2019-08-06 00:00:27 UTC
Created kubernetes tracking bugs for this issue:

Affects: fedora-all [bug 1737652]

Comment 4 errata-xmlrpc 2019-10-29 16:21:17 UTC
This issue has been addressed in the following products:

  Red Hat OpenShift Container Platform 3.10

Via RHSA-2019:3239 https://access.redhat.com/errata/RHSA-2019:3239

Comment 5 Product Security DevOps Team 2019-10-29 18:51:15 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-11249

Comment 7 errata-xmlrpc 2019-11-07 16:54:22 UTC
This issue has been addressed in the following products:

  Red Hat OpenShift Container Platform 3.9

Via RHSA-2019:3811 https://access.redhat.com/errata/RHSA-2019:3811


Note You need to log in before you can comment on or make changes to this bug.